#!/bin/sh

cpupower frequency-set --governor powersave

echo 0 > /sys/devices/system/cpu/cpu1/online
echo 0 > /sys/devices/system/cpu/cpu2/online
echo 0 > /sys/devices/system/cpu/cpu3/online
echo 0 > /sys/devices/system/cpu/cpu4/online
echo 0 > /sys/devices/system/cpu/cpu5/online
echo 0 > /sys/devices/system/cpu/cpu6/online
echo 0 > /sys/devices/system/cpu/cpu7/online
echo 0 > /sys/devices/system/cpu/cpu8/online
echo 0 > /sys/devices/system/cpu/cpu9/online
echo 0 > /sys/devices/system/cpu/cpu10/online
echo 0 > /sys/devices/system/cpu/cpu11/online

echo 800000 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu12/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu13/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu14/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu15/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu16/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu17/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu18/cpufreq/scaling_max_freq
echo 800000 > /sys/devices/system/cpu/cpu19/cpufreq/scaling_max_freq
